#include "Display.h"
#include "SPI.h"

/****************Settings*****************/
// Zeige Messspeicher für X ms an
word store = 50;
// Pixelbreite der Signaldarstellung
byte focus = 3;
// Signalverschiebung in y-Richtung
byte yPos = 0;
// Zeitbasis - Prescaler ADC - Werte von 0-7 / Prescaler(1, 2, 4, 8, 16, 32, 64, 128)
byte time = 4;
// Signalstärke über Division des ADC Wertes (/2^volts)
byte volts = 3;

Display lcd = Display();
byte values[128] = {};

void setup() {
  ADCSRA &= ~7;
  ADCSRA |= time;
  lcd.init(18);
  pinMode(A0, INPUT);
}

void loop() {
  lcd.clearVideoBuffer();
  for (byte x=0; x<128; x++) {
    delay(store);
    values[x] = (analogRead(A0) >> volts) + yPos;
    for (byte p=0; p<focus; p++) {
      lcd.drawPixel(x, 64-values[x] - p + 1);
      lcd.show();
    }
  }
}
